Create Transaction

The Create Transaction endpoint captures an image of the individual in front of the camera and searches for any matching images associated with any flagged reports.

Response Payload Object

PropertyTypeDescription
transactionSignatureIdGuidThe transaction signature ID.
idListMatchResponseTypeEnum(-1,0,1) (nullable*)Type of the response
-1 = NA
2 = OK
3 = WARNING
idListMatchCounterInt (nullable*)
watchListMatchResponseCountIntTotal number of matches in the database.
watchReferencesArray of StringThe ID of each flagged report that was matched with.

Controlled Errors

These are the error codes that will appear when the property hasErrors is equal to true.

Error CodeError Message
error_user_invaliduser_notauthenticatedUser Not Authenticated
error_user_not_foundUser Not Found
error_transaction_image_multiplefacesMultiple or no faces were detected
failed_system_operationOperation Failed
error_transaction_inprogressDevice Code Response:
enum FailureReason
{
0 =None,
1 = Unknown,
2 = TimedOut,
3 =TransactionInProgress
}
error_transaction_processorDevice Code Response:
enum FailureReason
{
0 =None,
1 = Unknown,
2 = TimedOut,
3 =TransactionInProgress
}
error_transaction_processorError: Required enroll data.
error_transaction_image_emptyImage error: The image is empty
Body Params
string
required

Serial number of the camera device.

identificationData
object
string
enum
required
Defaults to 1

This will tell the system what kind of biometric verification to perform: 1 = Face

Allowed:
string
enum
required

This will tell the system what kind of verification to perform: 1 = Flagged List, 2 = Id List, 3 = Flagged List and Id List

Allowed:
string

This is a Guid type. Signature Id of the first transaction if this transaction is part of a retry.

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json